# $Revision: 1.9 $, $Date: 2010/06/30 22:06:13 $
#
# Conditional build:
%bcond_with	verbose		# verbose build

%define		snap	1144821
%define		qtver	4.6.3
%define		origname	networkmanagement

Summary:	Plasma applet that controls network via NetworkManager backend
Name:		kde4-knetworkmanager
Version:	4.4.5
Release:	0.%{snap}.1
License:	GPL v2
Group:		X11/Applications
# svn co svn://anonsvn.kde.org/home/kde/trunk/kdereview/networkmanagement
Source0:	%{origname}-%{snap}.tar.gz
# Source0-md5:	c56a57a1166370091c9f0a67877ed032
URL:		http://en.opensuse.org/Projects/KNetworkManager
BuildRequires:	NetworkManager-devel >= 0.7.1
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
Obsoletes:	kde4-kdeplasma-addons-networkmanager
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plasma applet that controls network via NetworkManager backend.

%prep
%setup -q -n %{origname}-%{snap}

%build
install -d build
cd build
%cmake \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	%{?with_verbose:-DCMAKE_VERBOSE_MAKEFILE=true} \
	-DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc DESIGN TODO
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/*.conf
%attr(755,root,root) %{_bindir}/knetworkmanager
%attr(755,root,root) %ghost %{_libdir}/libknmclient.so.?
%attr(755,root,root) %{_libdir}/libknmclient.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libknminternals.so.?
%attr(755,root,root) %{_libdir}/libknminternals.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libknmservice.so.?
%attr(755,root,root) %{_libdir}/libknmservice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libknmui.so.?
%attr(755,root,root) %{_libdir}/libknmui.so.*.*.*
%attr(755,root,root) %{_libdir}/libknm_nm.so
%attr(755,root,root) %{_libdir}/libknmclient.so
%attr(755,root,root) %{_libdir}/libknminternals.so
%attr(755,root,root) %{_libdir}/libknmservice.so
%attr(755,root,root) %{_libdir}/libknmui.so
%attr(755,root,root) %{_libdir}/libsolidcontrolfuture.so
%attr(755,root,root) %{_libdir}/kde4/kcm_networkmanagement.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_openvpnui.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_vpncui.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_networkmanagement.so
%attr(755,root,root) %{_libdir}/kde4/libexec/networkmanagement_configshell
%attr(755,root,root) %{_libdir}/kde4/kcm_networkmanagement_tray.so
%attr(755,root,root) %{_libdir}/kde4/kded_networkmanagement.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_novellvpnui.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_pptpui.so
%attr(755,root,root) %{_libdir}/kde4/networkmanagement_strongswanui.so
%{_datadir}/apps/networkmanagement
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/services/kded/*.desktop
%{_datadir}/kde4/servicetypes/*.desktop
%{_desktopdir}/kde4/knetworkmanager.desktop
%{_iconsdir}/oxygen/*x*/devices/network-wireless*.png
%{_iconsdir}/oxygen/*x*/devices/network-wired-activated.png
%{_iconsdir}/oxygen/*x*/devices/network-defaultroute.png
%{_iconsdir}/hicolor/32x32/apps/knetworkmanager.png

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-knetworkmanager.spec,v $
Revision 1.9  2010/06/30 22:06:13  shadzik
- snap 1144821
- fake version 4.4.5

Revision 1.8  2010/05/29 14:25:56  shadzik
- 4.4.4 - 4.4.80 moved to DEVEL

Revision 1.7  2010/05/27 14:38:28  shadzik
- snap 1131160 for kde 4.5 Beta1

Revision 1.6  2010/03/13 16:27:24  shadzik
- up to snap 1102779

Revision 1.5  2010/03/02 20:48:13  shadzik
- snap 1098080

Revision 1.4  2010/03/01 02:35:38  shadzik
- fake version up to 4.4.1
- updated BRs

Revision 1.3  2010/02/18 19:30:29  glen
- adapter, remove other spec changelog

Revision 1.2  2010/02/18 17:22:24  shadzik
- up to 1092282
- version changed to 4.4.0

Revision 1.1  2010/02/18 16:33:37  shadzik
- moved from kde4-kdeplasma-addons-networkmanager
